## org.openorb.compiler.idl.reflect
Interface idlSequence

All Superinterfaces:
  idlObject

All Known Implementing Classes:
  IdlSequence

public interface idlSequence
extends idlObject

This interface is implemented by all IDL objects that represent an IDL sequence

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel

Method Summary
`idlObject` `internal()` Return the internal type for the sequence
`int` `length()` Return the max length for this sequence

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Method Detail

### length

    public int length()

  Return the max length for this sequence

### internal

    public idlObject internal()

  Return the internal type for the sequence